Package com.google.debugging.sourcemap

# Class SourceMapSection

java.lang.Object
com.google.debugging.sourcemap.SourceMapSection

public class SourceMapSection extends Object
A class representing a partial source map.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`SourceMapSection.SectionType`

## Constructor Summary

Constructors
Constructor
Description
`SourceMapSection(String sectionUrl, int line, int column)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static SourceMapSection`
`forMap(String value, int line, int column)`
`static SourceMapSection`
`forURL(String value, int line, int column)`
`int`
`getColumn()`
`int`
`getLine()`
`SourceMapSection.SectionType`
`getSectionType()`
`String`
`getSectionUrl()`
Deprecated.
`String`
`getSectionValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SourceMapSection

@Deprecated public SourceMapSection(String sectionUrl, int line, int column)
Deprecated.

Parameters:
  `sectionUrl` - The URL for the partial source map
  `line` - The number of lines into the file where the represented section starts.
  `column` - The number of characters into the line where the represented section starts.

## Method Details

### forMap

public static SourceMapSection forMap(String value, int line, int column)

### forURL

public static SourceMapSection forURL(String value, int line, int column)

### getSectionType

public SourceMapSection.SectionType getSectionType()

### getSectionUrl

@Deprecated public String getSectionUrl()
Deprecated.

Returns:
  the name of the map

### getSectionValue

public String getSectionValue()

Returns:
  the value that represents the map for this section.

### getLine

public int getLine()

Returns:
  the starting line for this section

### getColumn

public int getColumn()

Returns:
  the column for this section